<?php
namespace FiloBlu\Flow\Model\Connector;

/**
 * Created by PhpStorm.
 * User: filoblu
 * Date: 6/5/15
 * Time: 2:35 PM
 */

abstract class AbstractConnector{

    protected $_mask;
    protected $_config;
    protected $_logger;
    protected $connection;

    /*
     * Init FTP Class retrieving configuration
     */
    public function __construct(){

        $this->_logger =  \Magento\Framework\App\ObjectManager::getInstance()->create('FiloBlu\Flow\Model\Log');
        return $this;
    }

    public function getResources(){

    }

    public function setMask($mask) {

        $this->_mask = $mask;

    }

    public function getConnection() {

    }

    protected function init() {


    }

    protected function fetchResources() {

    }

    public function setConfig($config)
    {
        $this->_config = $config;

    }
    public function getConfig()
    {

        return $this->_config;

    }

}