<?php

namespace FiloBlu\Flow\Model\From\Entity;

class Attribute extends AbstractEntity{

    protected function getEntityModel() {
        if (is_null($this->_entityTypeModel)) {
            $this->_entityTypeModel = 'eav/entity_attribute';
        }

        return $this->_entityTypeModel;
    }

    protected function getObject() {
        if (is_null($this->_objectEntity)) {
            if (!$this->getObjectId()) {
                Mage::throwException('No id found for model ' . $this->getEntityModel() . ' with given identifier ' . $this->_entityIdentifier);
            }
            if($this->_entityTypeCode != 'product_attribute'){
                Mage::throwException('We don\'t manage '.$this->_entityTypeCode.' attributes yet');
            }else{
                $this->_objectEntity = \Magento\Framework\App\ObjectManager::getInstance()->create('\Magento\Eav\Model\Config')
                    ->getAttribute('catalog_product', $this->getObjectId());
//                $this->_objectEntity = Mage::getModel('eav/config')->getAttribute('catalog_product', $this->getObjectId());
            }

            $this->_objectEntity->setStoreId($this->_storeId);
            if (!$this->_objectEntity->getId()) {
                Mage::throwException('No instance found for model' . $this->getEntityModel() . ' with id ' . $this->getObjectId());
            }
        }
        return $this->_objectEntity;
    }


}//End of class
